CGGET(1)

NAME

cgget - print parameter(s) of given group(s)

SYNOPSIS
cgget [-n] [-v] [-r <name>] [-g <controller>] [-a] <cgroup_path> ...

DESCRIPTION
The command prints the parameter(s) of input cgroup(s). If there is not set any controller or variable, then values of all possible variables are displayed.

<path>
    is the name of the cgroup which should be read. This parameter can be used multiple times.

-r, --variable <name>
    defines parameter to display. This option can be used multiple times.

-g <contoller>
    defines controller which values should be displaied. This option can be used multiple times.

-a, --all
    print the variables for all controllers which consists given cgroup

-n  do not print headers, i.e. name of groups.

-v, --values-only
    print only values, not parameter names.

-h, --help
    display help and exit

EXAMPLES
$ cgget -r cpuset.cpus -r cpuset.mems first second
first:
cpuset.cpus=0-1
cpuset.mems=0

second:
cpuset.cpus=0
cpuset.mems=0

$ cgget -n -r cpuset.cpus -r cpuset.mems first second
cpuset.cpus=0-1
cpuset.mems=0
cpuset.cpus=0
cpuset.mems=0

$ cgget -nv -r cpuset.cpus -r cpuset.mems first second
0-1
0
0
0

$ cgget -n -g cpu /
cpu.rt_period_us=1000000
cpu.rt_runtime_us=950000
cpu.shares=1024

SEE ALSO
cgsules.conf (1), cgcreate (1), cgget (1)